 <wo:if condition = "$estPopulationPrevisionnelle">
	<wo:conditional condition = "$affichageRepartitionCroisee">
		<wo:RechercheEnseignantToutesComposantes qualifier = "$qualifier" />
	</wo:conditional>
</wo:if>
<wo:form>
 <wo:AjaxUpdateContainer id = "$tableViewContainerId">
  <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" triMultiColonneEnabled = "$true" updateToolbarOnSelect = "$true" 
    showToolbar = "$true" showFilters = "$true" useFixedHeader = "false" updateContainerID = "bouton" paginatorHasForm = "false">
    <wo:CktlAjaxSimpleTableViewHeader>
      <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toIndividu.nomAffichage" label = "Nom" />
      <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toIndividu.prenomAffichage" label = "Prénom" />
      <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "etatFiche" label = "Etat" />
      <wo:CktlAjaxSimpleTableViewColumn label = "Service statutaire" width = "80px" />
      <wo:CktlAjaxSimpleTableViewColumn label = "Service dû" width = "80px" />
      <wo:if condition = "$estPopulationPrevisionnelle">
      	<wo:CktlAjaxSimpleTableViewColumn label = "Service attribué" width = "80px" />
      </wo:if>
      <wo:else>
      	<wo:CktlAjaxSimpleTableViewColumn label = "Service réalisé" width = "80px" />
      </wo:else>
      <wo:CktlAjaxSimpleTableViewColumn label = "Delta" width = "80px" />
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.Enseignants.Colonne.Composante" sortKeypath = "composante.lcStructure" />
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.Enseignants.Colonne.Departement" sortKeypath = "departementEnseignement.lcStructure" />
      <wo:CktlAjaxSimpleTableViewColumn label = "Corps/Contrat" />
    </wo:CktlAjaxSimpleTableViewHeader>
    <wo:CktlAjaxSimpleTableViewFilters>
      <th><wo:CktlAjaxFilterTextField value = "$tokenNom"  action = "$filtrer" updateContainerID = "$tableViewContainerId"  timeout = "$application.ajaxCktlFilterTimeout" /></th>
      <th><wo:CktlAjaxFilterTextField value = "$tokenPrenom" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
      <th />
      <th />
      <th />
      <th />
      <th />
      <th><wo:CktlAjaxFilterTextField style = "width: 7em;" value = "$tokenComposante" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
      <th><wo:CktlAjaxFilterTextField style = "width: 7em;" value = "$tokenDepartement" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
      <th><wo:CktlAjaxFilterTextField style = "width: 7em;" value = "$tokenCorps" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
    </wo:CktlAjaxSimpleTableViewFilters>
    <wo:CktlAjaxSimpleTableViewBody>
      <wo:if condition = "$afficherLienToFicheEnseignant">
      <td align = "left" ><wo:hyperlink action = "$getLinkToFicheEnseignant" ><wo:string value = "$currentItem.toIndividu.nomAffichage.toUpperCase"/></wo:hyperlink></td>
      <td align = "left" ><wo:hyperlink action = "$getLinkToFicheEnseignant" ><wo:string value = "$currentItem.toIndividu.prenomAffichage"/></wo:hyperlink></td>
      </wo:if>
      <wo:else>
      <td align = "left" ><wo:string value = "$currentItem.toIndividu.nomAffichage.toUpperCase"/></td>
      <td align = "left" ><wo:string value = "$currentItem.toIndividu.prenomAffichage"/></td>
      </wo:else>
      <td class = "cktl-right-align"><wo:string value = "$currentItem.etatFiche" /></td>
      <td class = "cktl-right-align"><wo:CktlNumber value = "$serviceStatutaire" /></td>
      <td class = "cktl-right-align"><wo:CktlNumber value = "$serviceDu" numberformat = "$app3DecimalesNumberFormat"/></td>
      <wo:if condition = "$estPopulationPrevisionnelle">
      	<td class = "cktl-right-align"><wo:CktlNumber value = "$serviceAttribue" numberformat = "$app3DecimalesNumberFormat"/></td>
      	<td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$deltaAttribue" numberformat = "$app3DecimalesNumberFormat"/></td>
      </wo:if>
      <wo:else>
      	<td class = "cktl-right-align"><wo:CktlNumber value = "$serviceRealise" numberformat = "$app3DecimalesNumberFormat"/></td>
      	<td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$deltaRealise" numberformat = "$app3DecimalesNumberFormat"/></td>
      </wo:else>
      <td align = "left" ><wo:string value = "$codeComposante" /></td>
      <td align = "left" ><wo:string value = "$codeDepartement" /></td>
      <td align = "left" ><wo:string value = "$libelleCorpsOuContrat" /></td>
    </wo:CktlAjaxSimpleTableViewBody>
  </wo:CktlAjaxSimpleTableView>
 </wo:AjaxUpdateContainer>
</wo:form>
<br />
<wo:AjaxUpdateContainer id = "bouton">
  <wo:form>
    <wo:if condition = "$afficherBoutonFicheService"> <wo:CktlSubmitButton type = "edit" action = "$ouvrirFicheService" text = "$session.localizer.application.boutonFicheService" disabled="$isBoutonFicheDeServiceDisabled" /></wo:if>
    <wo:if condition = "$isBoutonRapprocherVisible">
       <wo:CktlSubmitButton type = "edit" action = "$rapprocherEnseignantGenerique" text = "Rapprocher" disabled = "$isBoutonRapprocherDisabled" />
    </wo:if>
  </wo:form>
</wo:AjaxUpdateContainer>